KPAT(6)

NOME
kpat - Un gioco di carte molto appassionante per KDE.

SINOSSI

kpat [Qt-option...] [KDE-option...] [--solvegame file] [--solve num] [--start num] [--end num] [--gametype gioco]

DESCRIZIONE

KPatience è una raccolta di parecchi solitari, che vanno dai famosissimi Klondike e Freecell, ad altri meno noti come Mod3 e l'Orologio del nonno. In tutto ce ne sono 12 per aiutarti a passare il tempo.

OPZIONI

Questo programma utilizza l'abituale sintassi delle righe di comando GNU, in cui le opzioni lunghe iniziano con due trattini (`--'). Di seguito si trova un elenco delle opzioni previste per kpat.

  Opzioni generali

--author
    Mostra informazioni sull'autore

--help
    Mostra la guida per le opzioni

--help-qt
    Mostra le opzioni specifiche per Qt

--help-kde
    Mostra le opzioni specifiche per KDE

--help-all
    Mostra tutte le opzioni

--license
    Mostra le informazioni sulla licenza

-v, --version
    Mostra le informazioni sulla versione ed esce.

  Opzioni per Qt

--display nome_display
    Usa il display nome_display del server X.

--session sessionId
    Ripristina l'applicazione per la sessione sessionId.

--cmap
    Impone all'applicazione di installare una color map privata su un display a 8 bit.

--ncols numero
    Limita il numero di colori allocati nel color cube su un display a 8-bit, se l'applicazione usa la specifica colore QApplication::ManyColor.

--nograb
    Dice alle Qt di non catturare (grab) mai il mouse o la tastiera.

--dograb
    L'esecuzione sotto un debugger può causare un implicito -nograb, usa -dograb per aggirare il problema.

--sync
    passa in modalità sincrona per il debug.

--fn, --font nome_font
    definisce il tipo di carattere per l'applicazione.

--bg, --background colore
    imposta il colore di sfondo predefinito e una tavolozza per l'applicazione (le sfumature chiare e scure vengono calcolate).

--fg,--foreground colore
    imposta il colore di primo piano predefinito.

--btn, --button colore
    imposta il colore dei pulsanti predefinito.

--name nome
    imposta il nome dell'applicazione.

--title titolo
    imposta il titolo (caption) dell'applicazione.

--visual TrueColor
    forza l'applicazione a usare una visuale TrueColor su un display a 8 bit.

--inputstyle
    imposta lo stile di input XIM (X Input Method). I valori possibili sono onthespot, overthespot, offthespot e root.

--im server XIM
    imposta il server XIM.

--noxim
    disabilita il server XIM.

--reverse
    ridispone specularmente tutti gli oggetti.

--stylesheet file.qss
    applica il foglio di stile Qt agli oggetti dell'applicazione.

--graphicssystem sistema
    usa un sistema grafico diverso da quello predefinito. Le opzioni sono «raster» e «opengl» (sperimentale).

  Opzioni KDE

--caption titolo
    Usa titolo come nome nella barra del titolo.

--icon icona
    Usa icona come icona dell'applicazione.

--config nome-file
    Usa un file di configurazione alternativo.

--nocrashhandler
    Disabilita il gestore dei crash, per ottenere i core dump.

--waitforwm
    Aspetta un window manager compatibile WM_NET.

--style stile
    imposta lo stile dell'interfaccia grafica dell'applicazione.

--geometry geometria
    imposta la geometria client dell'oggetto principale - vedi la pagina del manuale man:/X per il formato degli argomenti (di dolito LarghezzaxAltezza+XPos+YPos).

  Opzioni

--solvegame file
    Cerca di risolvere il solitario salvato nel file

--solve num
    Distribuisce carte e risolve (debug)

--start num
    Avvia un intervallo di gioco (predefinito 0:INT_MAX)

--end num
    Fine di un intervallo di gioco (predefinito start:start se start esiste)

--gametype gioco
    Salta la schermata di selezione e avvia direttamente il solitario scelto. I valori accettati sono: acesup, fortyeight, freecell, golf, grandfather, grandfathersclock, gypsy, klondike, mod3, simplesimon, spider e yukon

  Argomenti

file
    File da caricare

VEDERE ANCHE

KPatience è documentato in dettaglio nel Manuale di KPatience ($KDEDIR/share/doc/HTML/it/kpat/index.html o immetti help:/kpat/index.html in Konqueror).

AUTORE

KPatience è stato prodotto da:
    Paul Olav Tvete
    Mario Weilguni <mweilguni@kde.org>
    Matthias Ettrich <ettrich@kde.org>
    Rodolfo Borges <barrett@labma.ufrj.br>
    Peter H. Ruegg <kpat@incense.org>
    Michael Koch <koch@kde.org>
    Marcus Meissner <mm@caldera.de>
    Shlomi Fish <shlomif@vipe.technion.ac.il>
    Stephan Kulow <coolo@kde.org>